package nvidia-* failed to install/upgrade: nvidia-* kernel module failed to build (Failed CC sanity check)

Bug #552286 reported by Sudev Barar on 2010-03-31
324
This bug affects 45 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Wishlist
Unassigned
nvidia-graphics-drivers-173 (Ubuntu)
Wishlist
Unassigned
nvidia-graphics-drivers-304 (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-96 (Ubuntu)
Undecided
Unassigned

Bug Description

[Problem]
DKMS fails to build the nvidia driver if the C compiler is broken.

DKMS make.log for nvidia-current-195.36.15 for kernel 2.6.31-20-generic (i686)
Wed Mar 31 08:24:29 IST 2010

The C compiler 'cc' does not appear to be able to
create executables. Please make sure you have
your Linux distribution's gcc and libc development
packages installed.

*** Failed CC sanity check. Bailing out! ***

make: *** [select_makefile] Error 1

[Original Report]
Dud Beta upgrade using upgrade-distribution -d

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: nvidia-current 195.36.15-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-18-generic i686
NonfreeKernelModules: wl
Architecture: i386
Date: Wed Mar 31 08:24:33 2010
DkmsStatus:
 nvidia-current, 195.36.15: added
 bcmwl, 5.60.48.36+bdcom, 2.6.32-18-generic, i686: installed
 bcmwl, 5.60.48.36+bdcom, 2.6.31-20-generic, i686: installed
ErrorMessage: nvidia-current kernel module failed to build
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
MachineType: Hewlett-Packard HP Pavilion tx1000 Notebook PC
PackageVersion: 195.36.15-0ubuntu1
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-18-generic root=UUID=eff0c532-eecc-4408-8ad8-b2d4e60fdb8a ro quiet splash
SourcePackage: nvidia-graphics-drivers
Title: package nvidia-current 195.36.15-0ubuntu1 failed to install/upgrade: nvidia-current kernel module failed to build
dmi.bios.date: 02/25/2008
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.1E
dmi.board.name: 30BF
dmi.board.vendor: Quanta
dmi.board.version: 69.2C
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.1E:bd02/25/2008:svnHewlett-Packard:pnHPPaviliontx1000NotebookPC:pvrRev1:rvnQuanta:rn30BF:rvr69.2C:cvnQuanta:ct10:cvrN/A:
dmi.product.name: HP Pavilion tx1000 Notebook PC
dmi.product.version: Rev 1
dmi.sys.vendor: Hewlett-Packard
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-18-generic

Sudev Barar (sbarar) wrote :
summary: - package nvidia-current 195.36.15-0ubuntu1 failed to install/upgrade:
- nvidia-current kernel module failed to build
+ package nvidia-* failed to install/upgrade: nvidia-* kernel module
+ failed to build (Failed CC sanity check)
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) wrote :

Looks like something is broken with your C compiler. Did you install a different C compiler perhaps?

This doesn't look to actually be an nvidia bug (or even dkms really), but as there are a number of dupes perhaps it could use better error handling or error messages. Setting to wishlist for now.

description: updated
Changed in nvidia-graphics-drivers-173 (Ubuntu):
importance: Undecided → Wishlist
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Wishlist
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: New → Confirmed
NeroBurner (neroburner) wrote :

i had the same problem on Lubuntu 12.04.
Somehow binutils was installed, but ld wasn't. I reinstalled binutils with

sudo apt-get install --reinstall binutils

Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: New → Confirmed
To post a comment you must log in.